#
# spec file for package perl-Regexp-Common
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Regexp-Common
Version:        2013031301
Release:        8.3
%define cpan_name Regexp-Common
Summary:        Provide commonly requested regular expressions
License:        MIT
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Regexp-Common/
Source:         http://www.cpan.org/authors/id/A/AB/ABIGAIL/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
#BuildRequires: perl(Regexp::Common)
#BuildRequires: perl(Regexp::Common::_support)
#BuildRequires: perl(Regexp::Common::URI)
#BuildRequires: perl(Regexp::Common::URI::RFC1035)
#BuildRequires: perl(Regexp::Common::URI::RFC1738)
#BuildRequires: perl(Regexp::Common::URI::RFC1808)
#BuildRequires: perl(Regexp::Common::URI::RFC2384)
#BuildRequires: perl(Regexp::Common::URI::RFC2396)
#BuildRequires: perl(Regexp::Common::URI::RFC2806)
#BuildRequires: perl(t::Common)
%{perl_requires}

%description
By default, this module exports a single hash ('%RE') that stores or
generates commonly needed regular expressions (see the "List of available
patterns" manpage).

There is an alternative, subroutine-based syntax described in the
"Subroutine-based interface" manpage.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes COPYRIGHT COPYRIGHT.AL COPYRIGHT.AL2 COPYRIGHT.BSD COPYRIGHT.MIT README TODO

%changelog
* Tue Jun 11 2013 coolo@suse.com
- updated to 2013031301
  + Pattern for IPv6 addresses. Requested by Guy Edwards and many others.
    RT 50693.
  Version 2013031201 Tue Mar 12 15:44:48 CET 2013
  + Allow host/domain names to start with a digit, using
    $RE{net}{domain}{-rfc1101}. Requested by Guy Edwards and many others.
    RT 23626.
  Version 2013031101 Mon Mar 11 21:02:45 CET 2013
  + For integers and decimal numbers (reals), allow the user to specify the
    pattern of the signs (leading sign, and for reals, the sign of the exponent).
    This gives the user the option to ask for a pattern that matches unsigned
    numbers (by specifying the empty string as the pattern).
    Requested by "Wilson, Jonathan" <jonathan.wilson@Vanderbilt.Edu>.
  Version 2013030901 Sat Mar  9 14:51:42 CET 2013
  + Use (?-1) instead of (??{ }) for the recursive balanced pattern.
    This makes the pattern unavailable for pre-5.010 perls.
* Sat Feb 11 2012 coolo@suse.com
- updated to 2011121001
  + Fixed a few cases where $[ was used instead of $].
    (RT 73033 by Father Chrysostomos <sprout@cpan.org>)
  + Typo fix in docs (P Ramakers <pramakers@gmail.com>)
  + Add an explicite 1 to end the main module; otherwise it may fail under Mason
    (Luciano Rocha <luciano.rocha@booking.com>)
  Version 2011041801 Mon Apr 18 11:18:19 CEST 2011
  + Created tests for Pascal comments.
  + https schemes are now included in $RE {URI}
  + Document non-anchoring (RT 55549)
  + Fix POD typos (RT 67549 by Salvatore Bonaccorso <carnil@debian.org>)
* Mon Apr 18 2011 coolo@opensuse.org
- updated to 2011041701
  + Fix documentation (matches should be match). Reported by cogent@cpan.org
    in RT ticket 2833.
  + Added patterns for JavaDoc comments. (RT 13174 by chris+rt@chrisdolan.net)
  Version 2011041602 Sat Apr 16 17:06:28 CEST 2011
  + Fix typo in repository (avar@cpan.org)
  Version 2011041601 Sat Apr 16 16:07:29 CEST 2011
  + Fix bugs 61712 & 6940: $RE {num} {decimal} and $RE {num} {real} no longer
    match a single dot.
* Mon Apr  4 2011 coolo@novell.com
- updated to 2010010201
  Playing the CPANTS game
  + Adjustments for 5.005.
  + Add $VERSION to all submodules (RT #53250)
  Version 2009123001 Wed Dec 30 03:58:27 2009 +0100
  + Added Changes file, removed them from README.
  + Remove CVS traces.
  + Modernize Makefile.PL
  + POD tests
  + Work around a Darwin 9.0 on 5.8.8 issue. (RT #43786)
  + Fix POD issues. (RT #34886) (RT #48974)
  + Fail faster on some URI subpatterns (RT #52309)
  + Added many people to the Acknowledgements section.
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sat Jun 27 2009 chris@computersalat.de
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o fixed desc (from README)
* Fri Sep 12 2008 cwh@suse.de
- updated to 2.122:
  - Removed spurious '=head1' from README. (Smylers)
  - Comments for 'm4', 'Modula-2', 'Modula-3', 'Ubercode', and 'ZZT-OOP'.
  - Fix for French zip codes; addes Swiss zip codes (Rafael)
  - License change:
  You now have the option to use this software under either the original
  Artistic License, the Artistic License 2.0, the MIT license, or the BSD
  license.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Fri Jun 17 2005 cwh@suse.de
- newly packaged with version 2.120
